# install configuration files if not exist

if ! test -d ${HOME}/.mls; then
	mkdir -p ${HOME}/.mls
	install -m 644 /etc/mls/mls.col /etc/mls/mls.cfg /etc/mls/mls.key ${HOME}/.mls
fi
	

MLS_PWD_FILE="${HOME}/.mls/path"

/usr/bin/mls $1

if test -r "$MLS_PWD_FILE"; then
	MLS_PWD="`cat $MLS_PWD_FILE`"
#	echo $MLS_PWD

	if test -n "$MLS_PWD" && test -d "$MLS_PWD"; then
		cd "$MLS_PWD"
	fi
	unset MLS_PWD
fi

unset MLS_PWD_FILE
